{% extends 'base.html.twig' %}
{% block body %}
    <div class="container">
        <div class="row">
            <!-- Property Detail Content -->
            <div class="col-md-12 col-sm-12">
                <section id="property-detail">
                    <header class="property-title">
                        <h1>{{ obiectiv.name }}</h1>
                        <figure>{{ obiectiv.adresa }}</figure>
                            <span class="actions">
                                <!--<a href="#" class="fa fa-print"></a>-->
                                <a href="#" class="bookmark" data-bookmark-state="empty"><span class="title-add">Adauga la favorite</span><span class="title-added">Adaugat</span></a>
                            </span>
                    </header>
                    <section id="property-gallery">
                        <div class="owl-carousel property-carousel">
                            <div class="property-slide">
                                <a href="#" class="image-popup">
                                    <div class="overlay"><h3>Front View</h3></div>
                                    <img alt="" src="{{ vich_uploader_asset(obiectiv, 'imageFile') }}">
                                </a>
                            </div><!-- /.property-slide -->
                    </section>
                    <div class="row">
                        <div class="col-md-12 col-sm-12">
                            <section id="description">
                                <header><h2>Descrierea obiectivului</h2></header>
                                <p>
                                    {{ obiectiv.descriere }}
                                </p>

                            </section><!-- /#description -->
                            <section id="map">
                                <header><h2>Map</h2></header>
                                <div class="property-detail-map-wrapper">
                                    <div class="property-detail-map" id="property-detail-map"></div>
                                </div>
                            </section><!-- /#property-map -->
                        </div><!-- /.col-md-8 -->

                    </div><!-- /.row -->
                </section><!-- /#property-detail -->
            </div><!-- /.col-md-9 -->
            <!-- end Property Detail Content -->
        </div><!-- /.row -->
    </div><!-- /.container -->
    <style>
        .owl-controls {
            display: none;
        }
    </style>
{% endblock %}
{% block mapInit %}
    <script>
        _latitude = 44.4378258;
        _longitude = 26.0946376;

        var locations = [
            ['{{ obiectiv.name }}', "{{ obiectiv.adresa }}", "$36,000", {{ obiectiv.lat }}, {{ obiectiv.lon }}, "property-detail.html", "assets/img/properties/property-01.jpg", "assets/img/property-types/apartment.png"]
        ];


//        locations = JSON.parse(locations);
        console.log(locations);
        createHomepageGoogleMap(_latitude,_longitude, locations);
        $(window).load(function(){
            initializeOwl(false);
        });
    </script>
{% endblock %}